# DependencyDescriptor class

Describes a dependency required by a component or pod.

This class is used to specify the name of the dependency, an optional qualifier (to disambiguate multiple pods of the same type), and whether the dependency is required.

### Example

    final descriptor = DependencyDesign(
      "databaseService",
    );

    print(descriptor.name); // "databaseService"

## Constructors

DependencyDescriptor.new({required Source source, required String podName, required String propertyName, required Class type, List<ArgumentValue>? args, Class? component, Class? key, bool isEager = false, bool isRequired = true, String? lookup})
  Describes a dependency required by a component or pod.

## Properties

args → List<ArgumentValue>?
  The arguments to pass to the constructor of the dependency.
  final
component → Class?
  The component type of the dependency.
  final
hashCode → int
  The hash code for this object.
  no setter inherited
isEager → bool
  Whether the dependency should be resolved eagerly.
  final
isRequired → bool
  Whether the dependency is required.
  final
key → Class?
  The key type of the dependency.
  final
lookup → String?
  The lookup name of the dependency.
  final
podName → String
  The name of the pod that has the dependency.
  final
propertyName → String
  The name of the property or parameter that requires the dependency.
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
source → Source
  The source of the dependency (where the dependency is needed).
  final
type → Class
  The type of the dependency that needs to be resolved.
  final

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited